# Uses of Class
xg.md.ProtocolMetadata.protocolIdentity

Packages that use ProtocolMetadata.protocolIdentity
Package
Description
xg.md
xg.protocol.messages

## Uses of ProtocolMetadata.protocolIdentity in xg.md

Methods in xg.md that return ProtocolMetadata.protocolIdentity
Modifier and Type
Method
Description
`ProtocolMetadata.protocolIdentity`
ProtocolMetadata.protocolIdentity.Builder.`build()`
`ProtocolMetadata.protocolIdentity`
ProtocolMetadata.protocolIdentity.Builder.`buildPartial()`
`static ProtocolMetadata.protocolIdentity`
ProtocolMetadata.protocolIdentity.`getDefaultInstance()`
`ProtocolMetadata.protocolIdentity`
ProtocolMetadata.protocolIdentity.Builder.`getDefaultInstanceForType()`
`ProtocolMetadata.protocolIdentity`
ProtocolMetadata.protocolIdentity.`getDefaultInstanceForType()`
`static ProtocolMetadata.protocolIdentity`
ProtocolMetadata.protocolIdentity.`parseDelimitedFrom(InputStream input)`
`static ProtocolMetadata.protocolIdentity`
ProtocolMetadata.protocolIdentity.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static ProtocolMetadata.protocolIdentity`
ProtocolMetadata.protocolIdentity.`parseFrom(byte[] data)`
`static ProtocolMetadata.protocolIdentity`
ProtocolMetadata.protocolIdentity.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static ProtocolMetadata.protocolIdentity`
ProtocolMetadata.protocolIdentity.`parseFrom(ByteString data)`
`static ProtocolMetadata.protocolIdentity`
ProtocolMetadata.protocolIdentity.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static ProtocolMetadata.protocolIdentity`
ProtocolMetadata.protocolIdentity.`parseFrom(CodedInputStream input)`
`static ProtocolMetadata.protocolIdentity`
ProtocolMetadata.protocolIdentity.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static ProtocolMetadata.protocolIdentity`
ProtocolMetadata.protocolIdentity.`parseFrom(InputStream input)`
`static ProtocolMetadata.protocolIdentity`
ProtocolMetadata.protocolIdentity.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static ProtocolMetadata.protocolIdentity`
ProtocolMetadata.protocolIdentity.`parseFrom(ByteBuffer data)`
`static ProtocolMetadata.protocolIdentity`
ProtocolMetadata.protocolIdentity.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in xg.md that return types with arguments of type ProtocolMetadata.protocolIdentity
Modifier and Type
Method
Description
`Parser<ProtocolMetadata.protocolIdentity>`
ProtocolMetadata.protocolIdentity.`getParserForType()`
`static Parser<ProtocolMetadata.protocolIdentity>`
ProtocolMetadata.protocolIdentity.`parser()`
Methods in xg.md with parameters of type ProtocolMetadata.protocolIdentity
Modifier and Type
Method
Description
`ProtocolMetadata.protocolIdentity.Builder`
ProtocolMetadata.protocolIdentity.Builder.`mergeFrom(ProtocolMetadata.protocolIdentity other)`
`static ProtocolMetadata.protocolIdentity.Builder`
ProtocolMetadata.protocolIdentity.`newBuilder(ProtocolMetadata.protocolIdentity prototype)`

## Uses of ProtocolMetadata.protocolIdentity in xg.protocol.messages

Methods in xg.protocol.messages that return ProtocolMetadata.protocolIdentity
Modifier and Type
Method
Description
`ProtocolMetadata.protocolIdentity`
ProtocolPrivMessages.protocolPrivNotifyIdentity.Builder.`getIdentity()`
`.xg.md.protocolIdentity identity = 1;`
`ProtocolMetadata.protocolIdentity`
ProtocolPrivMessages.protocolPrivNotifyIdentity.`getIdentity()`
`.xg.md.protocolIdentity identity = 1;`
`ProtocolMetadata.protocolIdentity`
ProtocolPrivMessages.protocolPrivNotifyIdentityOrBuilder.`getIdentity()`
`.xg.md.protocolIdentity identity = 1;`
Methods in xg.protocol.messages with parameters of type ProtocolMetadata.protocolIdentity
Modifier and Type
Method
Description
`ProtocolPrivMessages.protocolPrivNotifyIdentity.Builder`
ProtocolPrivMessages.protocolPrivNotifyIdentity.Builder.`mergeIdentity(ProtocolMetadata.protocolIdentity value)`
`.xg.md.protocolIdentity identity = 1;`
`ProtocolPrivMessages.protocolPrivNotifyIdentity.Builder`
ProtocolPrivMessages.protocolPrivNotifyIdentity.Builder.`setIdentity(ProtocolMetadata.protocolIdentity value)`
`.xg.md.protocolIdentity identity = 1;`